#
# spec file for package wsndsrv (Version 0.4.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  WindowMaker WindowMaker-devel audiofile gpp libPropList libPropList-devel libgpp xf86
# usedforbuild    WindowMaker WindowMaker-devel aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libPropList libPropList-devel libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         wsndsrv
Copyright:    1999 Pascal Hofstee Copyright:  Alain Kalker
Group:        Applications/Multimedia
URL:          http://shadowmere.student.utwente.nl/modules.php
Requires:     wmaker
Autoreqprov:  on
Summary:      Soundserver for Windowmaker
Version:      0.4.0
Release:      245
Source: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/WSoundServer-%{version}.tar.bz2
Source1: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/libdockapp-0.4.0.tar.bz2
Source2: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/wmsdefault.tar.bz2
Patch: WSoundServer-%{version}.dif
Patch1: WSoundServer-%{version}-audiofile.dif     
Patch2: WSoundServer-%{version}-ia64.patch 
BuildRoot:    /var/tmp/%{name}-build

%description
A Soundserver for WindowMaker

Authors:
--------
    Pascal Hofstee <daeron@shadowmere.student.utwente.nl>
    Alain Kalker <miki@dds.nl>

SuSE series: snd

%prep
%setup -n WSoundServer-%{version} -a 1 -a 2
%patch
%patch1
%patch2
# ---------------------------------------------------------------------------

%build
rm -rf "$RPM_BUILD_ROOT"
(cd libdockapp-0.4.0
%{?suse_update_config:%{suse_update_config -f}}
autoconf
./configure --prefix=/usr/X11R6
make
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
)
%{?suse_update_config:%{suse_update_config -f}}
autoconf
./configure --prefix=/usr/X11 --mandir=%{_mandir} \
  --with-incs-from="-I /usr/X11R6/include -I $RPM_BUILD_ROOT/usr/X11R6/include"\
  --with-libs-from="-L $RPM_BUILD_ROOT/usr/X11R6/lib"
make
# ---------------------------------------------------------------------------

%install
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
     mandir=$RPM_BUILD_ROOT/%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/etc/WindowMaker
install -m 644 WMSound $RPM_BUILD_ROOT/etc/WindowMaker/WMSound
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/share/WindowMaker/Sounds
for i in Sounds/*; do
  cp -a $i $RPM_BUILD_ROOT/usr/X11R6/share/WindowMaker/$i
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%config(noreplace) /etc/WindowMaker/WMSound
/usr/X11R6/bin/get-wsound-flags
/usr/X11R6/bin/getsoundset
/usr/X11R6/bin/setsoundset
/usr/X11R6/bin/wsoundplay
/usr/X11R6/bin/wsoundserver
/usr/X11R6/include/dockapp.h
/usr/X11R6/include/wsound.h
/usr/X11R6/lib/libdockapp.a
/usr/X11R6/lib/libdockapp.la
/usr/X11R6/lib/libdockapp.so
/usr/X11R6/lib/libdockapp.so.*
/usr/X11R6/lib/libwsound.a
/usr/X11R6/lib/libwsound.la
/usr/X11R6/lib/libwsound.so
/usr/X11R6/lib/libwsound.so.*
%doc %{_mandir}/man1/getsoundset.1x.gz
%doc %{_mandir}/man1/setsoundset.1x.gz
%doc %{_mandir}/man1/wsoundplay.1x.gz
%doc %{_mandir}/man1/wsoundserver.1x.gz
/usr/X11R6/share/WindowMaker/Sounds
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc INSTALL
%doc NEWS
%doc README

%changelog -n wsndsrv
* Mon May 21 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Mon Mar 12 2001 - nadvornik@suse.cz
- fixed to compile with new audiofile
* Fri Feb 09 2001 - nadvornik@suse.cz
- fixed to compile with WindowMaker 0.63.1
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Sat Nov 04 2000 - kukuk@suse.de
- use new package names
* Thu Sep 21 2000 - nadvornik@suse.cz
- fixed filelist
* Thu Jun 22 2000 - nadvornik@suse.cz
- updated URL
* Tue May 09 2000 - nadvornik@suse.cz
- update to 0.4.0
* Fri May 05 2000 - nadvornik@suse.cz
- added BuildRoot
* Wed Mar 01 2000 - choeger@suse.de
- new version
* Tue Feb 08 2000 - uli@suse.de
- configure no longer assumes MkLinux when run on PPC
* Tue Sep 21 1999 - ro@suse.de
- added proplst, proplstd to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 08 1999 - choeger@suse.de
- first package, v0.1.0
